{ pkgs, host, nixosConfig, lib, ... }: {
  programs.fish = lib.mkIf nixosConfig.my.desktop.enable {
    enable = true;
    shellAliases = {
      fr = "sudo nixos-rebuild switch --flake ~/LillyOS/#${host}";
    };
    interactiveShellInit = ''
      set fish_greeting # Disable greeting
    '';
    plugins = [
      # Enable a plugin (here grc for colorized command output) from nixpkgs
      { name = "grc"; src = pkgs.fishPlugins.grc.src; }
      { name = "tide"; src = pkgs.fishPlugins.tide.src; }
      { name = "done"; src = pkgs.fishPlugins.done.src; }
      { name = "fish-you-should-use"; src = pkgs.fishPlugins.fish-you-should-use.src; }
      { name = "autopair"; src = pkgs.fishPlugins.autopair.src; }
      { name = "fzf-fish"; src = pkgs.fishPlugins.fzf-fish.src; }
      { name = "git-abbr"; src = pkgs.fishPlugins.git-abbr.src; }
    ];
  };
}
